## slimtoolkit 1.40.4

=== Makefile ===
default: build_in_docker ## build docker-slim in docker by default

build_in_docker:   ## build docker-slim in docker
	rm -rfv bin
	'$(CURDIR)/scripts/docker-builder.run.sh'

build_m1_in_docker:
	rm -rfv bin
	'$(CURDIR)/scripts/docker-builder-m1.run.sh'

build:  ## build docker-slim
	'$(CURDIR)/scripts/src.build.sh'

build_m1:  ## build docker-slim
	'$(CURDIR)/scripts/src.build.m1.sh'

build_dev:  ## build docker-slim for development (quickly), in bin/
	'$(CURDIR)/scripts/src.build.quick.sh'

fmt:  ## format all golang files
	'$(CURDIR)/scripts/src.fmt.sh'

help: ## prints out the menu of command options
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

inspect: ## report suspicious constructs and linting errors
	'$(CURDIR)/scripts/src.inspect.sh'

tools: ## install necessary tools
	'$(CURDIR)/scripts/tools.get.sh'

## run unit tests
test: export GO_TEST_FLAGS ?=
test:
	'$(CURDIR)/scripts/src.test.sh'

clean: ## clean up
	'$(CURDIR)/scripts/src.cleanup.sh'

include $(CURDIR)/test/e2e-tests.mk

.PHONY: default help build_in_docker build_m1_in_docker build build_m1 build_dev fmt inspect tools test clean

=== pkg/third_party/compose-go/Makefile ===
#   Copyright 2020 The Compose Specification Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

IMAGE_PREFIX=composespec/conformance-tests-

.PHONY: build
build: ## Run tests
	go build ./...

.PHONY: test
test: ## Run tests
	gotestsum ./...

.PHONY: fmt
fmt: ## Format go files
	go fmt ./...

.PHONY: build-validate-image
build-validate-image:
	docker build . -f ci/Dockerfile -t $(IMAGE_PREFIX)validate

.PHONY: lint
lint: build-validate-image
	docker run --rm $(IMAGE_PREFIX)validate bash -c "golangci-lint run --config ./golangci.yml ./..."

.PHONY: check-license
check-license: build-validate-image
	docker run --rm $(IMAGE_PREFIX)validate bash -c "./scripts/validate/fileheader"

.PHONY: setup
setup: ## Setup the precommit hook
	@which pre-commit > /dev/null 2>&1 || (echo "pre-commit not installed see README." && false)
	@pre-commit install

=== debian/changelog ===
slimtoolkit (1.40.4-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:12:03 +0200

slimtoolkit (1.40.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Aug 2023 16:54:30 +0200

slimtoolkit (1.40.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.3
  * Refresh patches
  * Add a patch to fix the build

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 14:38:05 +0200

slimtoolkit (1.40.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.2

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 31 May 2023 15:37:52 +0200

slimtoolkit (1.40.1-0kali1) kali-dev; urgency=medium

  * Disable salsa_ci build on i386
  * New upstream version 1.40.1
  * Update debian/rules for new upstream version

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Apr 2023 10:51:30 +0200

slimtoolkit (1.40.0-0kali4) kali-dev; urgency=medium

  * Fix docs installation
  * Add missing depends docker.io
  * Add a patch to change the name to slimtoolkit
  * Improve the build in debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Apr 2023 15:09:30 +0200

slimtoolkit (1.40.0-0kali3) kali-dev; urgency=medium

  * Remove i386 from supported arch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 Apr 2023 14:59:44 +0200

slimtoolkit (1.40.0-0kali2) kali-dev; urgency=medium

  * Add missing quote to the watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sat, 01 Apr 2023 23:06:31 -0500

slimtoolkit (1.40.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Mar 2023 16:31:49 +0200

=== debian/control ===
Source: slimtoolkit
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
	       ca-certificates,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/slimtoolkit/slim
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/slimtoolkit/slim

Package: slimtoolkit
Architecture: amd64 arm64 armel armhf
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 docker.io
Built-Using: ${misc:Built-Using}
Description: optimization of your containers
 This package contains Slim(toolkit). It was called DockerSlim, and it is
 now just Slim (SlimToolkit). 
 .
 It is a tool for developers with a number of different commands (build, xray,
 lint, debug and others) to simplify and optimize your developer experience
 with containers. It makes your containers better, smaller and more secure
 while providing advanced visibility and improved usability working with the

## slimtoolkit 1.40.11

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	'$(CURDIR)/scripts/src.fmt.sh'
 
 help: ## prints out the menu of command options
-	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
+	@awk -F ':.*?## ' '/^[a-zA-Z0-9_-]+:.*?## / {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)
 
 inspect: ## report suspicious constructs and linting errors
 	'$(CURDIR)/scripts/src.inspect.sh'

=== debian/changelog ===
slimtoolkit (1.40.11-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.11
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Feb 2024 16:06:01 +0100

slimtoolkit (1.40.10-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.10

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Jan 2024 16:41:42 +0100

slimtoolkit (1.40.8-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.8
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Jan 2024 11:47:32 +0100

slimtoolkit (1.40.7-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.7

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Dec 2023 17:01:44 +0100

slimtoolkit (1.40.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.6

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 10:13:17 +0100

slimtoolkit (1.40.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.5

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Nov 2023 15:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: slimtoolkit
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
 	       ca-certificates,
                golang-any,
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/slimtoolkit
+Vcs-Git: https://gitlab.com/kalilinux/packages/slimtoolkit.git
 Homepage: https://github.com/slimtoolkit/slim
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/slimtoolkit/slim

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	mkdir -p _build/src/github.com/docker-slim
	ln -sf ${CURDIR}/_build/src/github.com/slimtoolkit/slim $(CURDIR)/_build/src/github.com/docker-slim/docker-slim

override_dh_auto_build:
	cd cmd/slim && go build
	cd cmd/slim-sensor && go build

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_install:
	# change the binary name to avoid conflicts with the package named
	# "slim" in Debian which already provides a file /usr/bin/slim
	mv debian/slimtoolkit/usr/bin/slim debian/slimtoolkit/usr/bin/slimtoolkit

override_dh_auto_test:
	# do not run tests, they fail

override_dh_dwz:
	# do not run dh_dwz

override_dh_installdocs:
	dh_installdocs
	# add missing NOTICE files when license is Apache 2
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/containerd
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/cli
	cp vendor/github.com/docker/cli/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/cli
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/docker
	cp vendor/github.com/docker/docker/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/docker
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/opencontainers
	cp vendor/github.com/opencontainers/runc/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/opencontainers
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v2
	cp vendor/gopkg.in/yaml.v2/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v2
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v3
	cp vendor/gopkg.in/yaml.v3/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v3
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml
	cp vendor/sigs.k8s.io/kustomize/kyaml/internal/forked/github.com/go-yaml/yaml/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml

=== debian/tests/control ===
Test-Command: slimtoolkit help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/slimtoolkit/slim/tags .*/v?(\d\S*)\.tar\.gz debian
